pydo.vpc_subnet_routes.update()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.vpc_subnet_routes.update(
vpc_uuid="997615ce-132d-4bae-9270-9ee21b395e5d",
subnet_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
route_uuid="f0e1d2c3-b4a5-6789-0fed-cba987654321",
body={
"target_urns": [...],
},
)Description
To update the next hop for a user-defined VPC subnet route, send a PATCH
request to
/v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes/{route_uuid}. The
destination_cidr cannot be changed.
Droplet targets must use a numeric ID. A Droplet UUID or another invalid
target_urns value returns a 422 response.
Parameters
vpc_uuidstring requiredThe unique identifier of the VPC.
subnet_uuidstring requiredThe unique identifier of the VPC subnet.
route_uuidstring requiredThe unique identifier of the route.
target_urnsarray of strings requiredExample:
['do:droplet:4126873']The URNs of supported next-hop resources. Droplet targets must use a
numeric ID in the formatdo:droplet:<id>. VPC NAT Gateway targets use
a UUID in the formatdo:nat_gateway:<uuid>.
Request Sample
Response Example
More Information
See /v2/vpcs/{vpc_uuid}/subnets/{subnet_uuid}/routes/{route_uuid} in the API reference for additional detail on responses, headers, parameters, and more.